Eclipse Platform Release 3.7

## org.eclipse.ui.console
Interface IConsoleConstants

    public interface IConsoleConstants

Constants relating to the console plug-in.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static String` `CONSOLE_FONT` Deprecated. When a console is created, its font is set to the default text font as specified by `JFaceResources.TEXT_FONT`. Clients must provide their own infrastructure to manage console specific fonts.
`static int` `DEFAULT_TAB_SIZE` The default tab size for text consoles.
`static String` `EXTENSION_POINT_CONSOLE_FACTORIES` Console factories extension point identifier (value `"consoleFactories"`).
`static String` `EXTENSION_POINT_CONSOLE_PAGE_PARTICIPANTS` Console page participants extension point identifier (value `"consolePageParticipants"`).
`static String` `EXTENSION_POINT_CONSOLE_PATTERN_MATCH_LISTENERS` Console pattern match listeners extension point identifier (value `"consolePatternMatchListeners"`).
`static String` `ID_CONSOLE_VIEW` Console view identifier (value `"org.eclipse.ui.console.ConsoleView"`).
`static String` `IMG_LCL_CLEAR` Clear action image identifier.
`static String` `IMG_VIEW_CONSOLE` Console view image identifier.
`static int` `INTERNAL_ERROR` Status code indicating an unexpected internal error.
`static String` `LAUNCH_GROUP` Menu group identifier for the console view context menu and toolbar, for actions pertaining to launching (value `"launchGroup"`).
`static String` `MESSAGE_CONSOLE_TYPE` Type identifier for MessageConsole
`static String` `OUTPUT_GROUP` Menu group identifier for the console view context menu and toolbar, for actions pertaining to console output.
`static String` `P_BACKGROUND_COLOR` Property constant indicating the background color of a console has changed.
`static String` `P_CONSOLE_OUTPUT_COMPLETE` Property constant indicating that all streams connected to this console have been closed and that all queued output has been processed.
`static String` `P_CONSOLE_WIDTH` Property constant indicating the width of a fixed width console has changed.
`static String` `P_FONT` Property constant indicating a console's font has changed.
`static String` `P_FONT_STYLE` Property constant indicating that a font style has changed
`static String` `P_STREAM_COLOR` Property constant indicating the color of a stream has changed.
`static String` `P_TAB_SIZE` Property constant indicating tab size has changed
`static String` `PLUGIN_ID` Console plug-in identifier (value `"org.eclipse.ui.console"`).

Field Detail

### PLUGIN_ID

    static final String PLUGIN_ID

  Console plug-in identifier (value `"org.eclipse.ui.console"`).

### ID_CONSOLE_VIEW

    static final String ID_CONSOLE_VIEW

  Console view identifier (value `"org.eclipse.ui.console.ConsoleView"`).

  See Also:
    Constant Field Values

### MESSAGE_CONSOLE_TYPE

    static final String MESSAGE_CONSOLE_TYPE

  Type identifier for MessageConsole

  Since:
    3.1
  See Also:
    Constant Field Values

### CONSOLE_FONT

    static final String CONSOLE_FONT

  Deprecated. When a console is created, its font is set to the default text font as specified by `JFaceResources.TEXT_FONT`. Clients must provide their own infrastructure to manage console specific fonts.
  The name of the font to use for the Console (value `"org.eclipse.ui.console.ConsoleFont"`).

  See Also:
    Constant Field Values

### LAUNCH_GROUP

    static final String LAUNCH_GROUP

  Menu group identifier for the console view context menu and toolbar, for actions pertaining to launching (value `"launchGroup"`).

  See Also:
    Constant Field Values

### OUTPUT_GROUP

    static final String OUTPUT_GROUP

  Menu group identifier for the console view context menu and toolbar, for actions pertaining to console output. (value`"outputGroup"`).

  See Also:
    Constant Field Values

### IMG_VIEW_CONSOLE

    static final String IMG_VIEW_CONSOLE

  Console view image identifier.

  See Also:
    Constant Field Values

### IMG_LCL_CLEAR

    static final String IMG_LCL_CLEAR

  Clear action image identifier.

  See Also:
    Constant Field Values

### INTERNAL_ERROR

    static final int INTERNAL_ERROR

  Status code indicating an unexpected internal error.

  See Also:
    Constant Field Values

### EXTENSION_POINT_CONSOLE_PATTERN_MATCH_LISTENERS

    static final String EXTENSION_POINT_CONSOLE_PATTERN_MATCH_LISTENERS

  Console pattern match listeners extension point identifier (value `"consolePatternMatchListeners"`).

  Since:
    3.1
  See Also:
    Constant Field Values

### EXTENSION_POINT_CONSOLE_PAGE_PARTICIPANTS

    static final String EXTENSION_POINT_CONSOLE_PAGE_PARTICIPANTS

  Console page participants extension point identifier (value `"consolePageParticipants"`).

  Since:
    3.1
  See Also:
    Constant Field Values

### EXTENSION_POINT_CONSOLE_FACTORIES

    static final String EXTENSION_POINT_CONSOLE_FACTORIES

  Console factories extension point identifier (value `"consoleFactories"`).

  Since:
    3.1
  See Also:
    Constant Field Values

### P_FONT

    static final String P_FONT

  Property constant indicating a console's font has changed.

  Since:
    3.1

### P_FONT_STYLE

    static final String P_FONT_STYLE

  Property constant indicating that a font style has changed

  Since:
    3.1

### P_STREAM_COLOR

    static final String P_STREAM_COLOR

  Property constant indicating the color of a stream has changed.

  Since:
    3.1

### P_TAB_SIZE

    static final String P_TAB_SIZE

  Property constant indicating tab size has changed

  Since:
    3.1

### P_CONSOLE_WIDTH

    static final String P_CONSOLE_WIDTH

  Property constant indicating the width of a fixed width console has changed.

  Since:
    3.1

### P_CONSOLE_OUTPUT_COMPLETE

    static final String P_CONSOLE_OUTPUT_COMPLETE

  Property constant indicating that all streams connected to this console have been closed and that all queued output has been processed.

  Since:
    3.1

### P_BACKGROUND_COLOR

    static final String P_BACKGROUND_COLOR

  Property constant indicating the background color of a console has changed.

  Since:
    3.3

### DEFAULT_TAB_SIZE

    static final int DEFAULT_TAB_SIZE

  The default tab size for text consoles.

  Since:
    3.1
  See Also:
    Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.